<div>
  <!--Barra de navegación-->
  <nav class="navbar navbar-expand-lg navbar-dark">
    <a class="navbar-brand" href="#">{{pageTitle}}</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
      aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto" *ngIf="identity && identity.name">
        <li class="nav-item active">
          <a class="nav-link" [routerLink]="['inicio']"><i class="fas fa-home"></i> Inicio<span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" [routerLink]="['usuarios']">Usuarios</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" [routerLink]="['mis-contactos']">Mis Contactos</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="['mis-chats']">Mis Chats</a>
        </li>
      </ul>
      <!-- elementos derecha menú navegación-->
      <ul class="navbar-nav ml-auto">
        <li class="nav-item" *ngIf="!identity">
          <a class="nav-link" [routerLink]="['login']">Login</a>
        </li>
        <li class="nav-item" *ngIf="!identity">
          <a class="nav-link" [routerLink]="['registro']">Registro</a>
        </li>
        <img src="{{url + 'user/get-avatar/' + identity.image}}" alt="" class="nav-avatar" *ngIf="identity && identity.image" />
        <img src="{{url + 'user/get-avatar/default-profile-picture.png'}}" alt="" class="nav-avatar" *ngIf="identity && !identity.image" />
        <li class="nav-item dropdown" *ngIf="identity">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            {{identity.name}}
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" [routerLink]="['editar-usuario']"><i class="fas fa-cog"></i> Ajustes de usuario</a>
            <div class="dropdown-divider"></div>
            <button class="dropdown-item" (click)="logout()"><i class="fas fa-sign-out-alt"></i> Cerrar sesión</button>
          </div>
        </li>
        <li class="nav-item">
          <form class="form-inline my-2 my-lg-0">
            <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Buscar</button>
          </form>
        </li>
      </ul>

    </div>
  </nav>

  <!-- Contenido-->
  <div class="container-fluid">
    <router-outlet></router-outlet>
  </div>


</div>